Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Apr 2014, 10:37
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
No se cargan los modulos del kernel (SOLUCIONADO)
Moderators: rarsa
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
scifictn

Joined: 12 Jul 2008
Posts: 83

PostPosted: Tue 29 May 2012, 21:58    Post subject:  No se cargan los modulos del kernel (SOLUCIONADO)  

Hola, que tal!!.

Estoy probando la distribucion Puppy Night KDE, y me parece muy buena, tiene muy buen aspecto.
La probe en forma de Cd-Live y funciono perfectamente bien, pero al instalarla(en modo FULL) e iniciarla en el disco duro me doy cuenta de que no carga ningun modulo. Al teclear en consola la instruccion lsmod no me aparece ningun modulo cargado, lo que causa tambien que mi adaptador USB WiFi no sea reconocido.
Al iniciar el arranque me fije que entre los mensajes que despliega el kernel aparece uno que dice: "FATAL: Could not load /lib/modules/2.6.25.16/modules.dep.
Parece ser esa es la causa de que no se esten cargando los modulos.

Que se puede hacer en este caso??

Gracias por su atencion y respuesta

Saludos desde Hermosillo Sonora Mexico.

Last edited by scifictn on Sat 02 Jun 2012, 14:45; edited 2 times in total
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 981
Location: Peru

PostPosted: Wed 30 May 2012, 01:37    Post subject:  

Ejecuta depmod y/o copia los archivos desde el liveCD.
_________________

Back to top
View user's profile Send private message 
scifictn

Joined: 12 Jul 2008
Posts: 83

PostPosted: Wed 30 May 2012, 23:31    Post subject:  

Gracias por tu respuesta WOW!!.

He ejecutado el comando depmod, y tambien he copiado los archivos desde el Cd-Live, pero desafortunadamente no ha funcionado como esperaba. Al teclear el comando lsmod sigue sin mostrar ningun modulo cargado.
Dos cosas raras han pasado. La primera es que despues de haber hecho las sugerencias que me diste, al arrancar el sistema ya no despliega el mensaje de error "could not load /lib/modules/2.6.25.16/modules.dep".
La segunda cosa rara es que despues de revisar /lib/modules me encuentro con el directorio 2.6.33.2. De ahi que depmod despliegue el mensaje de error. Lo que hice fue renombrar /lib/modules/2.6.33.2 a /lib/modules/2.6.25.16, con lo cual depmod ya no protesto.
De todas formas, despues de haber hecho todas estas operaciones PuppyLinux KDE sigue sin cargar los modulos.

Alguna otra idea??

Gracias por la ayuda!!

Saludos desde Hermosillo Sonora Mexico
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 981
Location: Peru

PostPosted: Fri 01 Jun 2012, 04:08    Post subject:  

scifictn wrote:
La segunda cosa rara es que despues de revisar /lib/modules me encuentro con el directorio 2.6.33.2. De ahi que depmod despliegue el mensaje de error. Lo que hice fue renombrar /lib/modules/2.6.33.2 a /lib/modules/2.6.25.16,


No renombres la carpeta de modulos, son para otra version de kernel.

Es posible que estes iniciando puppy con un kernel diferente al de tu instalacion, asegurate de usar el mismo vmlinuz(kernel) del iso de Puppy Night KDE, en tu instalacion frugal o full.

Kernel_A no es compatible con modules_B = "FATAL: Could not load /lib/modules/... "

_________________

Back to top
View user's profile Send private message 
scifictn

Joined: 12 Jul 2008
Posts: 83

PostPosted: Sat 02 Jun 2012, 02:11    Post subject:  

Que tal!!.

Gracias de nuevo WOW por tu respuesta.
Atendiendo a tu recomendacion de no renombrar ningun archivo del sistema he vuelto al principio, esto es,
que he instalado todo de nuevo y dejandolo tal cual. Como la primera vez, al iniciar el sistema me
despliega el error: "Fatal!! could not load /lib/modules/2.6.25.16/modules.dep". Igualmente al teclear
la instruccion "lsmod" no aparece ningun modulo cargado.
Pero descubri algo interesante y extraño. Cuando tengo ejecutando el CD-Live(que funciona correctamente) y al teclear la instruccion "uname -r" me despliega que estoy utilizando la version del kernel 2.6.33.2, pero una vez que he instaldo el sistema en el disco duro(modo full), tecleo de nuevo la instruccion "uname -r" y ahora me despliega que la version del kernel es la 2.6.25.16. No entiendo, con el CD-Live se carga el kernel 2.6.33.2 y en el disco duro se carga el kernel 2.6.25.16.
Al revisar /lib/modules me encuentro con un directorio 2.6.33.2. Por lo que parece, en el disco los archivos se configuraron para el 2.6.33.2, pero el kernel que hace uso de esos archivos es el 2.6.25.16.
En ultimo post me comentabas; "Es posible que estes iniciando puppy con un kernel diferente al de tu instalacion, asegurate de usar el mismo vmlinuz(kernel) del iso de Puppy Night KDE, en tu instalacion frugal o full.". Aqui quiero comentarte que en el CD-Live solo se encuentra un unico archivo vmlinuz, que teoricamente fue el que se transfirio al disco duro. No veo de que forma pueda estar utilizando un kernel diferente al que viene en el CD-Live.

No se si tengas alguna otra sugerencia al respecto

Muchas gracias por tu atencion.

Saludos desde Hermosillo Sonora Mexico!!
Back to top
View user's profile Send private message 
scifictn

Joined: 12 Jul 2008
Posts: 83

PostPosted: Sat 02 Jun 2012, 15:00    Post subject:  

Antes que nada una disculpa. Cometi un error al configurar manualmente las lineas del archivo grub.cfg de GRUB2.
La razon de mi error es que tengo varias instalaciones GNU/Linux y con el GRUB2 que instalò una de esas distribuciones es como manejo el arranque de todos los sistemas.
Al instalar Puppylinux KDE no quise que instalara su propio GRUB, ya que no utiliza GRUB2.
Al momento de modificar el archivo grub.cfg de GRUB2 puse mas atencion en declarar la particion correcta donde estaba instalado Puppylinux KDE, pero pase por alto cambiar el famoso UUID, que es un nuevo parametro que trae GRUB2(la version del GRUB anterior no lo usa). Ese fue mi error!!.
Una vez corregido el parametro UUID correspondiente a la particion donde instale Puppylinux KDE todo arranco perfectamente!!. Ya carga todos los modulos.!!

Me disculpo publicamente con WOW que amablemente me dio orientacion y ayuda con este problema, ya que el error fue completamente mio!!. Pondre mas atencion para la siguiente ocacion en que tenga que hacer alguna modificacion.

Muchas gracias a todos los que me leyeron, y en especial a WOW por su tiempo.

Saludos desde Hermosillo Sonora Mexico!!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Usuarios de habla Hispana
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0545s ][ Queries: 11 (0.0076s) ][ GZIP on ]